UNLOCKPT(3)

NAME
unlockpt - unlock the slave pseudo-terminal device

LIBRARY
libc

SYNOPSIS
#include <stdlib.h>
int
unlockpt(int fildes);

DESCRIPTION
The unlockpt() unlocks access to the pseudo-terminal device corresponding to the master pseudo-terminal device associated with fildes. Conforming applications must call this function before opening the slave pseudo-terminal device.

RETURN VALUES
If successful, unlockpt() returns 0; otherwise a value of -1 is returned and errno is set to indicate the error.

ERRORS
The unlockpt() function will fail if:

[EACCESS]
    the corresponding pseudo-terminal device could not be accessed.

[EBADF]
    fildes is not a valid descriptor.

[EINVAL]
    fildes is not associated with a master pseudo-terminal device.

NOTES
In NetBSD unlockpt() does nothing.

SEE ALSO
ioctl(2), grantpt(3), posix_openpt(3), ptsname(3)

STANDARDS
The unlockpt() function conforms to p1003.1-2001. Its first release was in xpg4.2.